Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomAttr

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QDomNode
                  com.trolltech.qt.xml.QDomAttr

All Implemented Interfaces:
  QtJambiInterface

    public class QDomAttr

extends QDomNode

The `QDomAttr` class represents one attribute of a `QDomElement`.

For example, the following piece of XML produces an element with no children, but two attributes:

        <link href="http://www.trolltech.com" color="red" />

You can access the attributes of an element with code like this:

        QDomElement e = //...
        //...
        QDomAttr a = e.attributeNode("href");
        cout << a.value() << endl;                // prints "http://www.trolltech.com"
        a.setValue("http://doc.trolltech.com"); // change the node's attribute
        QDomAttr a2 = e.attributeNode("href");
        cout << a2.value() << endl;               // prints "http://doc.trolltech.com"

This example also shows that changing an attribute received from an element changes the attribute of the element. If you do not want to change the value of the element's attribute you must use `cloneNode` to get an independent copy of the attribute.

`QDomAttr` can return the `name` and `value` of an attribute. An attribute's value is set with `setValue`. If `specified` returns true the value was either set in the document or set with `setValue`; otherwise the value hasn't been set. The node this attribute is attached to (if any) is returned by `ownerElement`.

For further information about the Document Object Model see `http://www.w3.org/TR/REC-DOM-Level-1/` and `http://www.w3.org/TR/DOM-Level-2-Core/`. For a more general introduction of the DOM implementation see the `QDomDocument` documentation.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.xml.QDomNode
`QDomNode.EncodingPolicy, QDomNode.NodeType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QDomAttr()` Constructs an empty attribute.
`QDomAttr(QDomAttr x)` Constructs a copy of `x`.

Method Summary
`static QDomAttr` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QDomAttr instance pointed to by nativePointer
`java.lang.String` | `name()` Returns the attribute's name.
`static QNativePointer` | `nativePointerArray(QDomAttr[] array)` This function returns a QNativePointer that is pointing to the specified QDomAttr array.
`QDomElement` | `ownerElement()` Returns the element node this attribute is attached to or a null node if this attribute is not attached to any element.
`void` | `setValue(java.lang.String arg__1)` Sets the attribute's value to `arg__1`.
`boolean` | `specified()` Returns true if the attribute has either been expicitly specified in the XML document or was set by the user with `setValue`.
`java.lang.String` | `value()` Returns the value of the attribute or an empty string if the attribute has not been specified.

Methods inherited from class com.trolltech.qt.xml.QDomNode
`appendChild, childNodes, clear, cloneNode, cloneNode, columnNumber, equals, firstChild, firstChildElement, firstChildElement, hasAttributes, hasChildNodes, insertAfter, insertBefore, isAttr, isCDATASection, isCharacterData, isComment, isDocument, isDocumentFragment, isDocumentType, isElement, isEntity, isEntityReference, isNotation, isNull, isProcessingInstruction, isSupported, isText, lastChild, lastChildElement, lastChildElement, lineNumber, localName, namedItem, namespaceURI, nativePointerArray, nextSibling, nextSiblingElement, nextSiblingElement, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, previousSiblingElement, previousSiblingElement, removeChild, replaceChild, save, save, setNodeValue, setPrefix, toAttr, toCDATASection, toCharacterData, toComment, toDocument, toDocumentFragment, toDocumentType, toElement, toEntity, toEntityReference, toNotation, toProcessingInstruction, toText, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDomAttr

    public QDomAttr(QDomAttr x)

  Constructs a copy of `x`.

  The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use `cloneNode`.

### QDomAttr

    public QDomAttr()

  Constructs an empty attribute.

Method Detail

### name

    public final java.lang.String name()

  Returns the attribute's name.

### ownerElement

    public final QDomElement ownerElement()

  Returns the element node this attribute is attached to or a null node if this attribute is not attached to any element.

### setValue

    public final void setValue(java.lang.String arg__1)

  Sets the attribute's value to `arg__1`.

  See Also:
    `value`

### specified

    public final boolean specified()

  Returns true if the attribute has either been expicitly specified in the XML document or was set by the user with `setValue`. Returns false if the value hasn't been specified or set.

  See Also:
    `setValue`

### value

    public final java.lang.String value()

  Returns the value of the attribute or an empty string if the attribute has not been specified.

  See Also:
    `specified`, `setValue`

### fromNativePointer

    public static QDomAttr fromNativePointer(QNativePointer nativePointer)

  This function returns the QDomAttr instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QDomAttr[] array)

  This function returns a QNativePointer that is pointing to the specified QDomAttr array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD